This page was not yet optimized for use on mobile devices.
Cisco Firepower 2100 Cryptographic Module
Certificate details
| Certificate ID | #3877 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 30.03.2021 |
| Standard | FIPS 140-2 |
| Security level | 2 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode and with the tamper evident seals and opacity shields installed as indicated in the Security Policy |
| Exceptions |
|
| Description | Cisco Firepower 2100 Series is a family of four threat-focused NGFW security platforms. These are all next generation security services platforms capable of running multiple (firewall (NGFW), traffic management) security services simultaneously. |
| Version (Hardware) | FPR2110-NGFW-K9, FPR2120-NGFW-K9, FPR2130-NGFW-K9, FPR2140-NGFW-K9 with FIPS Kit (AIR-AP-FIPSKIT=) and opacity shield 69-100250-01 |
| Version (Firmware) | 9.12 |
| Vendor | Cisco Systems, Inc. http://www.cisco.com |
| Lab | Gossamer Security Solutions |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-256, RC4, DES, Triple-DES, HMAC, HMAC-SHA-256, HMAC-SHA-384, HMAC-SHA-512Asymmetric Algorithms
RSA 2048, RSA-2048, ECDH, ECDSA, Diffie-Hellman, DHHash functions
SHA-1, SHA-512, SHA-256, SHA-384, MD5Protocols
SSHv2, SSH, TLSv1.2, TLS, IKE, IKEv2, IPsec, VPNRandomness
DRBGElliptic Curves
P-256, P-384, P-521Block cipher modes
CBC, GCMVendor
Cisco, Cisco Systems, Inc, Cisco SystemsSecurity level
Level 2, level 2Certification process
out of scope, of the TELs as depicted below and any additional requirement per the site security policy which are out of scope of this Security Policy. To seal the system, apply tamper-evidence labels as depicted in theStandards
FIPS 140-2, FIPS PUB 140-2, FIPS 140, FIPS 186-4, SP 800-90A, SP 800-52, RFC 5288, RFC 7296, RFC 5246, RFC 4253, RFC 6071Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3877,
"dgst": "9eedf493e4d12732",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"HMAC#2772",
"Triple-DES#2559",
"DRBG#1735",
"CVL#1521",
"Triple-DES#2293",
"SHS#3471",
"DRBG#1317",
"ECDSA#1254",
"AES#4234",
"RSA#2678",
"AES#4905",
"CVL#983",
"HMAC#3272",
"SHS#4012",
"RSA#2286"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"9.12"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 45,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 7
},
"ECDSA": {
"ECDSA": 18
}
},
"FF": {
"DH": {
"DH": 6,
"Diffie-Hellman": 47
}
},
"RSA": {
"RSA 2048": 5,
"RSA-2048": 1
}
},
"certification_process": {
"OutOfScope": {
"of the TELs as depicted below and any additional requirement per the site security policy which are out of scope of this Security Policy. To seal the system, apply tamper-evidence labels as depicted in the": 1,
"out of scope": 1
}
},
"cipher_mode": {
"CBC": {
"CBC": 2
},
"GCM": {
"GCM": 7
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 37,
"IKEv2": 10
},
"IPsec": {
"IPsec": 6
},
"SSH": {
"SSH": 10,
"SSHv2": 33
},
"TLS": {
"TLS": {
"TLS": 37,
"TLSv1.2": 11
}
},
"VPN": {
"VPN": 4
}
},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 16,
"P-384": 16,
"P-521": 16
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 1,
"#1521": 3,
"#983": 3
}
},
"fips_certlike": {
"Certlike": {
"AES 128": 1,
"AES 128/192/256": 3,
"AES-256": 1,
"HMAC-SHA- 256/384": 2,
"HMAC-SHA-1": 4,
"HMAC-SHA-1 160": 4,
"HMAC-SHA-256": 4,
"HMAC-SHA-384": 4,
"HMAC-SHA-512": 4,
"HMAC-SHA1": 2,
"RSA 2048": 5,
"SHA-1": 2,
"SHA-256": 1,
"SHA-384": 1,
"SHA-512": 2
}
},
"fips_security_level": {
"Level": {
"Level 2": 3,
"level 2": 2
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 6
}
},
"SHA": {
"SHA1": {
"SHA-1": 2
},
"SHA2": {
"SHA-256": 1,
"SHA-384": 1,
"SHA-512": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 70
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 2,
"FIPS 140-2": 20,
"FIPS 186-4": 4,
"FIPS PUB 140-2": 1
},
"NIST": {
"SP 800-52": 1,
"SP 800-90A": 4
},
"RFC": {
"RFC 4253": 1,
"RFC 5246": 1,
"RFC 5288": 1,
"RFC 6071": 1,
"RFC 7296": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 9,
"AES-256": 1
},
"RC": {
"RC4": 3
}
},
"DES": {
"3DES": {
"Triple-DES": 6
},
"DES": {
"DES": 5
}
},
"constructions": {
"MAC": {
"HMAC": 3,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Cisco": {
"Cisco": 22,
"Cisco Systems": 4,
"Cisco Systems, Inc": 24
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"HMAC#2772",
"Triple-DES#2559",
"DRBG#1735",
"CVL#1521",
"Triple-DES#2293",
"SHS#3471",
"DRBG#1317",
"ECDSA#1254",
"AES#4234",
"RSA#2678",
"AES#4905",
"CVL#983",
"HMAC#3272",
"SHS#4012",
"RSA#2286"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": []
},
"policy_metadata": {
"/Author": "Scott Shorter",
"/CreationDate": "D:20210212170425-05\u002700\u0027",
"/Creator": "Microsoft\u00ae Word 2016",
"/ModDate": "D:20210212170425-05\u002700\u0027",
"/Producer": "Microsoft\u00ae Word 2016",
"/Subject": "FIPS 140-2 Security Policy",
"/Title": "CISCO 831 Security Policy",
"pdf_file_size_bytes": 619704,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://csrc.nist.gov/groups/computer-security-division/security-testing-validation-and-measurement",
"http://www.cisco.com/c/en/us/products/security/asa-5585-x-adaptive-security-appliance/index.html",
"https://csrc.nist.gov/projects/cryptographic-module-validation-program/validated-modules",
"http://www.cisco.com/",
"https://www.cisco.com/c/en/us/td/docs/security/asa/asa912/configuration/general/asa-912-general-config.html",
"https://www.cisco.com/c/en/us/support/security/firepower-2100-series/tsd-products-support-series-home.html",
"http://www.cisco.com/c/en/us/products/index.html"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 26
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "145e19e47d6948c03eb98972536d5f0cba4411fcbe55b6ca094f55f1e86c1c23",
"source_hash": "634e7b10f957fab86d4131ffa9d9540444bf1835106db69adad3715d70ee2145",
"txt_hash": "21de783322ead628decf533596279519cb16126cdfc0b3faaeddd78e2d68410a"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode and with the tamper evident seals and opacity shields installed as indicated in the Security Policy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/March 2021_010421_0724_signed.pdf",
"date_sunset": null,
"description": "Cisco Firepower 2100 Series is a family of four threat-focused NGFW security platforms. These are all next generation security services platforms capable of running multiple (firewall (NGFW), traffic management) security services simultaneously.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Roles, Services, and Authentication: Level 3",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "9.12",
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": "FPR2110-NGFW-K9, FPR2120-NGFW-K9, FPR2130-NGFW-K9, FPR2140-NGFW-K9 with FIPS Kit (AIR-AP-FIPSKIT=) and opacity shield 69-100250-01",
"level": 2,
"mentioned_certs": {},
"module_name": "Cisco Firepower 2100 Cryptographic Module",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-03-30",
"lab": "Gossamer Security Solutions",
"validation_type": "Initial"
}
],
"vendor": "Cisco Systems, Inc.",
"vendor_url": "http://www.cisco.com"
}
}